Page 1 sur 2

Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 17:50
par Spyro
Bonjour/Bonsoir,

Ayant depuis quelques semaines constaté la présence d'une nouvelle version, j'ai voulu la tester.
Mais lorsque je souhaite créer un PDF, j'ai une belle erreur de Python ("Python a cessé de fonctionner").

En relançant plusieurs fois et après un arrêt sur image ;), j'obtiens ceci :
https://www.dropbox.com/s/8vullvg88o2ra ... o.jpg?dl=0

J'ai installé/réinstallé Pyro, mis à jour TexLive (j'étais en 2016, mais le problème se pose également sous la version 2018), mais le problème se répète à chaque fois.

Une idée ?
Merci d'avance

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 18:01
par Spyro
En revoyant une 10ème fois l'erreur, je remarque seulement maintenant la ligne mentionnée ici : https://forum.pyromaths.org/viewtopic.php?f=19&t=439

Reste à trouver comment intégrer le paquet Science qui semble résoudre le problème.

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 18:13
par Spyro
J'ai tenté d'ajouter le paquet via la commande "c:\texlive\2018\bin\win32\tlmgr.bat install ... "

"science" n'est pas de le repo
"texlive-science" non plus
"interval" y est, mais ne corrige pas l'erreur

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 18:51
par Jérôme
Bonjour,
il doit y avoir un fichier pyromaths.log de créé. Dans celui-ci sera indiqué le paquet non trouvé. Si tu peux le copier ici, je devrais pouvoir t'aider.
Jérôme

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 19:00
par Spyro
Dans le même répertoire que exercices.tex ? Car si c'est le cas, je n'ai justement rien d'autre que exercices.tex

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 19:05
par Jérôme
Peut-être dans le dossier d'installation alors ?

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 19:06
par Jérôme
Sinon, tu peux lancer

Code : Tout sélectionner

latex exercices.tex
en te plaçant au préalable dans le répertoire contenant ce fichier et me poster le message qui s'affiche.

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 mars 2019, 20:17
par Spyro
Arf ! Je n'avais pas pensé à lancer la compilation manuellement.

Voici les deux packages manquants :

pst-calculate
siunitx

Tout fonctionne à nouveau.
Merci pour la rapidité de la réaction.

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 09 mars 2019, 13:03
par Jérôme
Merci à toi pour le retour. :)
J'ai pu mettre la documentation à jour sur le site grâce à toi.

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 03 avr. 2019, 19:21
par nasrudin
Bonjour,
Je suis sous windows 7, j'ai suivi scrupuleusement la documentation pour l'installation et à chaque fois j'ai le même message d'erreur "Python a cessé de fonctionner" et seulement le fichier exercices.tex créé. Lorsque je lance la commande manuelle latex exercices.tex j'obtiens ça :

"! LaTeX Error: File ‘xparse.sty' not found.
Type X to quit or (RETURN) to proceed.
or enter new name. (Default extension: sty)
Enter file name:"

Une idée ?

Merci d'avance

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 03 avr. 2019, 19:35
par Spyro
Bonsoir,

Dans la longue commande à lancer dans le CMD, avez-vous essayer d'ajouter xparse à la liste ? (vous pouvez relancer la même commande en ajoutant ce mot, les packages déjà installés seront reconnus).

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 05 avr. 2019, 16:12
par nasrudin
Bonjour,
je viens d'essayer et j'ai le message d'erreur : "tlmgr.bat install: package xparse not present in repository"

Une idée ?

Merci d'avance

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 06 avr. 2019, 13:03
par Spyro
Essayez "tlmgr.bat install l3packages"

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 avr. 2019, 18:05
par nasrudin
Bonjour,
je viens d'essayer, ça ne change rien, lorsque je ré exécute la grande ligne de commande, il met toujours le même message d'erreur xparse...

Merci

Re: Pyromaths v18.9.2 - "Python a cessé de fonctionner"

Publié : 08 avr. 2019, 18:39
par Spyro
Il faut enlever xparse de la grande ligne car le package "xparse" fait partie d'un autre (l3packages).

La voici, complète, à copier-coller :

c:\texlive\2018\bin\win32\tlmgr.bat install adjustbox amsfonts amsmath asymptote avantgar babel babel-french cancel carlisle collectbox colortbl ec enumitem fancyhdr geometry graphics hyperref iftex interval latex-bin l3packages latexmk lm marvosym mathtools ms multido numprint oberdiek pgf psnfss pst-3d pst-arrow pst-calculate pst-eucl pst-math pst-node pst-plot pst-tools pstools pstricks pstricks-add siunitx tkz-tab tools units url wasy wasy2-ps wasysym wrapfig xcolor xkeyval

Je viens de la tester, tous les packages existent.